# Created by pyp2rpm-1.0.1
%global pypi_name tooz
%global with_doc 0

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%if 0%{?fedora} >= 24
%global with_python3 1
%endif

%global common_desc \
The Tooz project aims at centralizing the most common distributed primitives \
like group membership protocol, lock service and leader election by providing \
a coordination API helping developers to build distributed applications.

Name:           python-%{pypi_name}
Version:        1.62.0
Release:        2%{?dist}
Summary:        Coordination library for distributed systems

License:        ASL 2.0
URL:            https://tooz.readthedocs.org
Source0:        https://tarballs.openstack.org/%{pypi_name}/%{pypi_name}-%{upstream_version}.tar.gz
BuildArch:      noarch

BuildRequires:  git
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-pbr >= 2.0.0
Requires:       python-babel
Requires:       python-fasteners
Requires:       python-futurist
Requires:       python-iso8601 >= 0.1.9
Requires:       python-oslo-serialization >= 1.10.0
Requires:       python-oslo-utils >= 3.15.0
Requires:       python-pbr >= 2.0.0
Requires:       python-six >= 1.9.0
Requires:       python-stevedore >= 1.16.0
Requires:       python-tenacity >= 3.2.1
Requires:       python-voluptuous >= 0.8.9
Requires:       python-zake
Requires:       python-enum34
Requires:       python-futures
Requires:       python-msgpack >= 0.4.0
Requires:       python-redis
Requires:       python-retrying

%description
%{common_desc}

%if 0%{?with_python3}
%package -n python3-%{pypi_name}
Summary:        Coordination library for distributed systems
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr >= 2.0.0
Requires:       python3-babel
Requires:       python3-fasteners
Requires:       python3-futurist
Requires:       python3-iso8601 >= 0.1.9
Requires:       python3-msgpack >= 0.4.0
Requires:       python3-oslo-serialization >= 1.10.0
Requires:       python3-oslo-utils >= 3.15.0
Requires:       python3-pbr >= 2.0.0
Requires:       python3-redis
Requires:       python3-retrying
Requires:       python3-six >= 1.9.0
Requires:       python3-stevedore >= 1.16.0
Requires:       python3-tenacity >= 3.2.1
Requires:       python3-voluptuous >= 0.8.9
Requires:       python3-zake

%description -n python3-%{pypi_name}
%{common_desc}
%endif

%if %{?with_doc}
%package doc
Summary:    Documentation for %{name}
Group:      Documentation
License:    ASL 2.0

BuildRequires:  python-sphinx
BuildRequires:  python-openstackdocstheme
BuildRequires:  python-fasteners
BuildRequires:  python-futurist
BuildRequires:  python-oslo-serialization
BuildRequires:  python-oslo-utils
BuildRequires:  python-stevedore >= 1.5.0
BuildRequires:  python-sysv_ipc
BuildRequires:  python-tenacity
BuildRequires:  python-voluptuous
BuildRequires:  python-pymemcache
BuildRequires:  python-PyMySQL
BuildRequires:  python-zake
BuildRequires:  python-msgpack >= 0.4.0
BuildRequires:  python-enum34
BuildRequires:  python-futures
BuildRequires:  python-psycopg2
BuildRequires:  python-redis

%description doc
%{common_desc}

This package contains documentation in HTML format.
%endif


%prep
%autosetup -n %{pypi_name}-%{upstream_version} -S git
# Let RPM handle the requirements
rm -f {test-,}requirements.txt

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
%endif # with_python3


%build
%{__python} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif

%if %{?with_doc}
# generate html docs
%{__python} setup.py build_sphinx -b html
# remove the sphinx-build leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}
%endif


%install
%{__python} setup.py install --skip-build --root %{buildroot}
rm -fr %{buildroot}%{python_sitelib}/%{pypi_name}/tests/

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
rm -fr %{buildroot}%{python3_sitelib}/%{pypi_name}/tests/
%endif



%files
%license LICENSE
%doc README.rst
%{python_sitelib}/%{pypi_name}
%{python_sitelib}/%{pypi_name}-*.egg-info

%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-*.egg-info
%endif

%if %{?with_doc}
%files doc
%license LICENSE
%doc doc/build/html
%endif

%changelog
* Thu Sep 20 2018 RDO <dev@lists.rdoproject.org> 1.62.0-2
- Update msgpack requirement to >= 0.4.0

* Fri Aug 10 2018 RDO <dev@lists.rdoproject.org> 1.62.0-1
- Update to 1.62.0

